summaryrefslogtreecommitdiff
path: root/dev-python/zipp
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-04 03:05:07 -0500
committerCrucible <crucible@localhost>2026-10-04 03:05:07 -0500
commitbbb006370a87e5c60f21145a1c97a8dbbe42e7fe (patch)
treef0397e839e6239674e6cad42f8e49f0241607566 /dev-python/zipp
parent36119ada8749c8c36efe79da1292bedd773ec7ab (diff)
downloadsrcux-bbb006370a87e5c60f21145a1c97a8dbbe42e7fe.tar.gz
srcux-bbb006370a87e5c60f21145a1c97a8dbbe42e7fe.tar.xz
srcux-bbb006370a87e5c60f21145a1c97a8dbbe42e7fe.zip
Publish srcux candidate 0000000563-20261004-030310HEADdevelop
Diffstat (limited to 'dev-python/zipp')
-rw-r--r--dev-python/zipp/Manifest1
-rw-r--r--dev-python/zipp/zipp-4.1.1.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/dev-python/zipp/Manifest b/dev-python/zipp/Manifest
index dc79a709fc2c..6d8c477ad6f7 100644
--- a/dev-python/zipp/Manifest
+++ b/dev-python/zipp/Manifest
@@ -1 +1,2 @@
DIST zipp-4.1.0.tar.gz 26214 BLAKE2B 8ef46c33c39adb1894599278307bfea4c1b9fbede22bff698585185fe3bc814a5460502896f8cdb38beb99d37a83e881cdded0db8686d0a25e4fccdb56bb4bbe SHA512 1648ee2581e958ff11472357784b34111f86fd2c2281bb35ca8122f238c721c5a1e54332ffe1fb03208dfee2706adb39ede5389b2d3612c9134f3662bef54ffa
+DIST zipp-4.1.1.tar.gz 27649 BLAKE2B af88a8dc9dfdbc94c08316ad25d07ca964ed47d9d69900e1dd380abfa81a4bfe755cc9909f5f027bc090522c62e4768dbd4cbc7c202bca8f252479b5048627ee SHA512 218a1c11f143bb581c396d4652f46680cce04098440ba202599a8953f2bc5ffbaecaba97048c62fd34d1ed55fe9490859c22ad091107e79cbebf23ac1a12729b
diff --git a/dev-python/zipp/zipp-4.1.1.ebuild b/dev-python/zipp/zipp-4.1.1.ebuild
new file mode 100644
index 000000000000..de79dbca9cea
--- /dev/null
+++ b/dev-python/zipp/zipp-4.1.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit-core
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Backport of pathlib-compatible object wrapper for zip files"
+HOMEPAGE="
+ https://github.com/jaraco/zipp/
+ https://pypi.org/project/zipp/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
+
+# big_o is only used in test_complexity, that we ignore
+BDEPEND="
+ test? (
+ dev-python/jaraco-functools[${PYTHON_USEDEP}]
+ dev-python/jaraco-itertools[${PYTHON_USEDEP}]
+ dev-python/jaraco-test[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # performance tests are flaky by design
+ tests/test_complexity.py
+)
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "zipp"
+ version = "${PV}"
+ description = "Backport of pathlib-compatible object wrapper for zip files"
+ EOF
+}